declare const Prompt: {
    /**
     * Prompts the user for confirmation, and exits if the user does not type y or Y.
     *
     * @param {string} question Question to pose to the user
     * @param {number} [exitStatus=0] Exit status to pass to shelljs if confirmation unsuccessful
     */
    confirmOrExit(question: string, exitStatus?: number): Promise<void>;
    /**
     * Wrapper function around the underlying `prompt.questionAsync` function to reduce the amount of
     * work a consumer has to do to prompt the user
     *
     * @param question Question to ask the user for input
     */
    questionAsync(question: string): Promise<string>;
};
export { Prompt };
